@import "../helper/variables"
@import "../helper/media"
//  FORM STYLE
button,
input,
textarea
  outline: none !important
  appearance: none
  font-family: $mainFont

form
  margin-bottom: 45px

  label
    position: relative

    label.error
      position: absolute
      color: #ff0000
      left: 0
      bottom: -3px
      font-size: 12px
      opacity: 0.5

  .row
    width: calc(100% + 30px)
    margin: 0 -15px

    .col
      padding: 0 15px
      @include tablet-l
        margin-bottom: 0

  .field-label
    display: block
    font-size: 14px
    line-height: 20px
    margin-bottom: 5px
    cursor: pointer
    @include transition
    font-family: $boldFont

    &:hover
      color: $colorGreen

  input,
  textarea
    border: 1px solid #DEDEDE
    padding: 13px 20px
    font-size: 14px
    width: 100%
    line-height: 20px
    box-sizing: border-box
    border-radius: 4px
    margin-bottom: 15px
    background-color: $colorWhite
    font-family: $mainFont
    @include transition

    &.error
      border-color: rgba(255, 0, 0, 0.5)

    &.valid
      border-color: #64d2d3

    &:focus
      border-color: $colorBlack

  input
    color: black
    display: block
    @include transition


  textarea
    height: 159px
    resize: none
    margin-bottom: 37px
// CHECKBOX STYLING
.form-checkbox,
.form-radio
  label
    position: relative
    input[type='checkbox'],
    input[type='radio']
      position: absolute
      top: 0
      left: 0
      opacity: 0
    input[type='checkbox']:checked + .check-label:before,
    input[type='radio']:checked + .check-label:before
      opacity: 1

    .check-label
      position: relative
      padding-left: 30px
      display: block
      margin-bottom: 20px
      cursor: pointer

      &:before,
      &:after
        content: ''
        position: absolute
        left: 0
        top: 0

      &:before
        content: ''
        width: 14px
        height: 14px
        background: $colorDark
        opacity: 0
        top: 4px
        left: 4px
        @include transition

      &:after
        width: 20px
        height: 20px
        border: 1px solid $colorDark
//RADIO-STYLING
.form-radio
  .check-label
    &:before,
    &:after
      border-radius: 50%
// SELECT STYLING
.jcf-focus
  border-color: $colorBlack !important

.jcf-select,
select
  text-align: left
  overflow: hidden
  width: 100%
  height: 48px
  margin-bottom: 8px
  display: inline-block
  border: 1px solid #DEDEDE
  border-radius: 4px
  position: relative
  font-family: $mainFont

  .jcf-select-opener
    width: 44px
    height: 44px
    position: absolute
    z-index: 2
    top: 0
    right: 0

    &:after
      display: block
      position: absolute
      right: 0
      bottom: 0
      border-right: 2px solid #2E2E2E
      border-top: 2px solid #2E2E2E
      text-align: center
      content: ""
      color: $colorBlack
      line-height: 60px
      width: 6px
      height: 6px
      margin: -9px 0 0
      text-indent: 0 !important
      left: 16px
      top: 28px
      transform: rotate(135deg)

  .jcf-select-text
    line-height: 47px
    color: #2E2E2E
    font-size: 14px
    padding: 0 30px 0 13px
    font-family: $boldFont
    background-color: $colorWhite
    display: inline-block

.jcf-select-drop div.jcf-select-drop-content
  border: 0

.jcf-select-drop-content
  ul
    margin: 0
    padding: 0
    list-style: none

  li
    margin: 0

    .jcf-option
      padding: 0 10px
      font-size: 16px
      line-height: 30px
      color: $colorWhite
      background-color: #64d2d3
      display: block
      cursor: pointer

      &:hover
        background-color: #fff
        color: #666
//placeholder
input::-moz-placeholder
  color: $colorBlack
  opacity: 1

input::-webkit-input-placeholder
  color: $colorBlack
  opacity: 1

input:-ms-input-placeholder
  color: $colorBlack
  opacity: 1

textarea::-moz-placeholder
  color: $colorBlack
  opacity: 1

textarea::-webkit-input-placeholder
  color: $colorBlack
  opacity: 1

textarea:-ms-input-placeholder
  color: $colorBlack
  opacity: 1